> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get Grant

GET https://api.virtuoussoftware.com/api/Grant/{grantId}

Reference: https://virtuous.ferndocs.com/reference/crm-plus/grants/get-grant

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `grantId` (string, required)

## Response

### 200

OK

- `id` (string, optional)
- `grantUrl` (string, optional)
- `giftsAppliedUrl` (string, optional)
- `ownerId` (string, optional)
- `title` (string, optional)
- `grantingOrganizationId` (string, optional)
- `grantingOrganizationUrl` (string, optional)
- `description` (string, optional)
- `referenceId` (string, optional)
- `receivingOrganizationId` (string, optional)
- `receivingOrganizationUrl` (string, optional)
- `projectUrl` (string, optional)
- `projectId` (string, optional)
- `project` (string, optional)
- `dueDateUtc` (string, optional)
- `totalAnticipatedAmount` (string, optional)
- `status` (string, optional)
- `submissionDateUtc` (string, optional)
- `anticipatedAwardDateUtc` (string, optional)
- `pointOfContactName` (string, optional)
- `pointOfContactEmail` (string, optional)
- `pointOfContactPhone` (string, optional)
- `website` (string, optional)
- `awardedGrant` (string, optional)
- `awardedAmount` (string, optional)
- `awardedDateUtc` (string, optional)
- `awardTerms` (string, optional)
- `grantType` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `customFields` (list of ApiGrantGrantIdGetResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)

## Errors

### 404 Not Found Error

NotFound

- `any`

## Types

### ApiGrantGrantIdGetResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Response**

```json
{
  "id": "<integer>",
  "grantUrl": "<string>",
  "giftsAppliedUrl": "<string>",
  "ownerId": "<integer>",
  "title": "<string>",
  "grantingOrganizationId": "<integer>",
  "grantingOrganizationUrl": "<string>",
  "description": "<string>",
  "referenceId": "<string>",
  "receivingOrganizationId": "<integer>",
  "receivingOrganizationUrl": "<string>",
  "projectUrl": "<string>",
  "projectId": "<integer>",
  "project": "<string>",
  "dueDateUtc": "<dateTime>",
  "totalAnticipatedAmount": "<double>",
  "status": "<string>",
  "submissionDateUtc": "<dateTime>",
  "anticipatedAwardDateUtc": "<dateTime>",
  "pointOfContactName": "<string>",
  "pointOfContactEmail": "<string>",
  "pointOfContactPhone": "<string>",
  "website": "<string>",
  "awardedGrant": "<boolean>",
  "awardedAmount": "<double>",
  "awardedDateUtc": "<dateTime>",
  "awardTerms": "<string>",
  "grantType": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**SDK Code**

```python Grants_getGrant_example
import requests

url = "https://api.virtuoussoftware.com/api/Grant/grantId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Grants_getGrant_example
const url = 'https://api.virtuoussoftware.com/api/Grant/grantId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Grants_getGrant_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Grant/grantId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Grants_getGrant_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Grant/grantId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Grants_getGrant_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Grant/grantId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Grants_getGrant_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/Grant/grantId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Grants_getGrant_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Grant/grantId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Grants_getGrant_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Grant/grantId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```